## wolfssl 4.6.0

=== debian/changelog ===
wolfssl (4.6.0-2.1) testing; urgency=medium

  * Rebuild for backports.
  * debian/rules:
    + set buildsystem to autoconf due debhelper detect the cmake also
    + remove the pic in older distros due hardening uncompatible compiler
    + use -g1 for memory exhausted in older wheezy

 -- PICCORO Lenz McKAY <mackygerhard@gmail.com>  Wed, 10 Feb 2021 16:38:41 -0400

wolfssl (4.6.0-3) unstable; urgency=medium

  * Cherry-pick merged PR#3676 "TLS 1.3: ensure key for signature in
    CertificateVerify"; fixes CVE-2021-3336.
  * Do not store build path in library; fixes reproducible builds.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 10 Feb 2021 10:46:57 -0800

wolfssl (4.6.0-2) unstable; urgency=medium

  * Set Multi-Arch: no for libwolfssl-dev; conflicting headers should
    be moved to architecture dependent locations after the bullseye
    release.
  * Bump Standards-Version to 4.5.1.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 03 Feb 2021 11:09:21 -0800

wolfssl (4.6.0-1) unstable; urgency=medium

  * New upstream release; fixes CVE-2020-36177. (Closes: #978676, #979534)
  * Update symbols file.
  * Drop patches previously cherry-picked from unreleased Git:
      - b90acc91d0cd276befe7f08f87ba2dc5ee7122ff.patch
  * Refresh remaining Debian patches.
  * Disable DFSG repackaging in d/watch; source is now DFSG-compliant.
  * Remove Files-Excluded field from d/copyright; covered 653 files.
  * Add two files to d/copyright that are now shipped in the sources.
  * Update copyright years in d/copyright.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 27 Jan 2021 15:39:34 -0800

wolfssl (4.5.0+dfsg-4) unstable; urgency=medium

  * Upload DFSG-clean source to Salsa; common history with upstream.
  * Add Salsa repository to Vcs-Git and Vcs-Browser.
  * Review source for DFSG; future uploads may no longer need to be modified.
  * Enable standard CI pipeline on Salsa.
  * Add *~ to debian/.gitignore to exclude editor backup files.
  * Upload includes debian/.gitignore with !* (from past commit ba8310ee). File
    was added before 4.5.0+dfsg-1 in git but was not actually present in source
    uploads until now. Patch management was difficult in git due to *.patch in
    upstream's .gitignore.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 01 Oct 2020 06:21:02 -0700

wolfssl (4.5.0+dfsg-3) unstable; urgency=medium

  * Enable Base64 encoding on all architectures; default is amd64 only.
    Thanks to Bastian Germann for the pointer. (See: #970923)
  * Exclude definition of HAVE___UINT128 from wolfssl/config.h; already in
    regular config.h and AM_CFLAGS. Thanks to Bastian Germann for the pointer.
    (Closes: #970923)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 27 Sep 2020 08:16:22 -0700

=== debian/control ===
Source: wolfssl
Priority: optional
Maintainer: Felix Lechner <felix.lechner@lease-up.com>
Build-Depends: dh-autoreconf | debhelper (>= 11), lsb-release,
 debhelper (>= 9),
 libpcap0.8-dev,
 openssl, cmake
Standards-Version: 4.5.1
Rules-Requires-Root: no
Section: libs
Vcs-Git: https://salsa.debian.org/lechner/wolfssl.git -b debian/master
Vcs-Browser: https://salsa.debian.org/lechner/wolfssl
Homepage: https://www.wolfssl.com/products/wolfssl/

Package: libwolfssl24
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: wolfSSL encryption library
 wolfSSL is a small, portable, embedded SSL/TLS programming library
 targeted for use by embedded systems developers. It was formerly
 known as CyaSSL.
 .
 It is an open source, dual licensed implementation of SSL/TLS
 (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
 language.  wolfSSL includes both a client and server implementation,
 progressive cipher support, key and certificate generation, OCSP
 and CRL, access to the underlying cryptography modules, and more.
 .
 wolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.

Package: libwolfssl-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends:
 libwolfssl24 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the wolfSSL encryption library
 wolfSSL is a small, portable, embedded SSL/TLS programming library
 targeted for use by embedded systems developers. It was formerly
 known as CyaSSL.
 .
 It is an open source, dual licensed implementation of SSL/TLS
 (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
 language.  wolfSSL includes both a client and server implementation,
 progressive cipher support, key and certificate generation, OCSP
 and CRL, access to the underlying cryptography modules, and more.
 .
 wolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Uncomment this to change the hardening options
devi := $(shell lsb_release -r -s | cut -d '.'  -f1)
ifeq ($(shell if [ $(devi) -gt 7 ] ; then echo gt ; else echo lt ; fi),gt)
   DEBVE2=yes
else
   DEBVE2=no
endif

OLDER=$(shell lsb_release -c -s | cut -d '.'  -f1)

LCFLAGSB=$(shell dpkg-buildflags --get CFLAGS)
LCPFLAGSB=$(shell dpkg-buildflags --get CPPFLAGS)

DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
OPTI_FLAGS_LIBONLY := -fomit-frame-pointer 
### PICCORO optimizer flags for i386 x86 machines
ifeq ($(DEB_HOST_ARCH),i386)
 ifeq ($(OLDER),wheezy)
    OPTI_FLAGS_LIBONLY += -march=i586 -mtune=generic -mmmx -g1
    LCFLAGSB=$(shell dpkg-buildflags --get CFLAGS) -g1
    LCPFLAGSB=$(shell dpkg-buildflags --get CPPFLAGS) -g1
 else
    OPTI_FLAGS_LIBONLY += -march=i686 -mtune=generic -mmmx -msse
 endif
else
ifeq ($(DEB_HOST_ARCH),i486)
 ifeq ($(OLDER),wheezy)
    OPTI_FLAGS_LIBONLY += -march=i586 -mtune=generic -mmmx -g1
    LCFLAGSB=$(shell dpkg-buildflags --get CFLAGS) -g1
    LCPFLAGSB=$(shell dpkg-buildflags --get CPPFLAGS) -g1
 else
    OPTI_FLAGS_LIBONLY += -march=i686 -mtune=generic -mmmx -msse
 endif
endif
endif

ifeq ($(DEB_HOST_ARCH),amd64)
    OPTI_FLAGS_LIBONLY += -mmmx -msse -msse2
endif

ifeq ($(OLDER),wheezy)
 ifeq ($(DEB_HOST_ARCH),amd64)
  export DEB_BUILD_MAINT_OPTIONS = hardening=-pie,+format,+fortify,+stackprotector,+bindnow,+relro
 else
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 endif
else
 ifeq ($(OLDER),jessie)
 ifeq ($(DEB_HOST_ARCH),amd64)
export DEB_BUILD_MAINT_OPTIONS = hardening=-pie,+format,+fortify,+stackprotector,+bindnow,+relro
 else
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 endif
 else
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 endif
endif

%:
	dh $@ --buildsystem=autoconf --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--enable-pkcs11 \
		--enable-tls13 \
		--enable-base64encode \
		--disable-examples \
		--disable-silent-rules

override_dh_installexamples:
	dh_installexamples --exclude .vcproj --exclude .vcxproj --exclude .sln

## wolfssl 4.6.0+p1

=== linuxkm/Makefile ===
# libwolfssl Linux kernel module Makefile (wraps Kbuild-native makefile)
#
# Copyright (C) 2006-2020 wolfSSL Inc.
#
# This file is part of wolfSSL.
#
# wolfSSL is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# wolfSSL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335, USA

SHELL=/bin/bash

all: libwolfssl.ko

.PHONY: libwolfssl.ko

ifndef MODULE_TOP
    MODULE_TOP=$(CURDIR)
endif

ifndef SRC_TOP
    SRC_TOP=$(shell dirname $(MODULE_TOP))
endif

WOLFSSL_CFLAGS=-DHAVE_CONFIG_H -I$(SRC_TOP) -DBUILDING_WOLFSSL $(AM_CFLAGS) $(CFLAGS) -Wno-declaration-after-statement -Wno-redundant-decls
ifdef KERNEL_EXTRA_CFLAGS
    WOLFSSL_CFLAGS += $(KERNEL_EXTRA_CFLAGS)
endif

WOLFSSL_ASFLAGS=-DHAVE_CONFIG_H -I$(SRC_TOP) -DBUILDING_WOLFSSL $(AM_CCASFLAGS) $(CCASFLAGS)

WOLFSSL_OBJ_FILES=$(patsubst %.lo, %.o, $(patsubst src/src_libwolfssl_la-%, src/%, $(patsubst src/libwolfssl_la-%, src/%, $(patsubst wolfcrypt/src/src_libwolfssl_la-%, wolfcrypt/src/%, $(src_libwolfssl_la_OBJECTS)))))

ifeq "$(ENABLED_CRYPT_TESTS)" "yes"
    WOLFSSL_OBJ_FILES+=wolfcrypt/test/test.o
else
    WOLFSSL_CFLAGS+=-DNO_CRYPT_TEST
endif

export WOLFSSL_CFLAGS WOLFSSL_ASFLAGS WOLFSSL_OBJ_FILES

libwolfssl.ko:
	@if test -z "$(KERNEL_ROOT)"; then echo '$$KERNEL_ROOT is unset' >&2; exit 1; fi
	@if test -z "$(AM_CFLAGS)$(CFLAGS)"; then echo '$$AM_CFLAGS and $$CFLAGS are both unset.' >&2; exit 1; fi
	@if test -z "$(src_libwolfssl_la_OBJECTS)"; then echo '$$src_libwolfssl_la_OBJECTS is unset.' >&2; exit 1; fi
	@mkdir -p linuxkm src wolfcrypt/src wolfcrypt/test
	@if test ! -h $(SRC_TOP)/Kbuild; then ln -s $(MODULE_TOP)/Kbuild $(SRC_TOP)/Kbuild; fi
	+make -C $(KERNEL_ROOT) M=$(MODULE_TOP) src=$(SRC_TOP)

.PHONY: install modules_install
install modules_install:
	+make -C $(KERNEL_ROOT) M=$(MODULE_TOP) src=$(SRC_TOP) INSTALL_MOD_DIR=wolfssl modules_install

.PHONY: clean
clean:
	+make -C $(KERNEL_ROOT) M=$(MODULE_TOP) src=$(SRC_TOP) clean

.PHONY: dist
dist:

.PHONY: distdir
distdir:

=== debian/changelog ===
wolfssl (4.6.0+p1-0+deb11u2) bullseye; urgency=medium

  * Stable update for the following vulnerabilities. The patches were
    provided by upstream.
    - PR 5498: CVE-2022-42961 (Rowhammer ECDSA key disclosure)
    - PR 5588: CVE-2022-39173 (buffer overflow during TLS 1.3 handshake)
    - PR 5682: CVE-2022-42905 (buffer over-read on heap with WOLFSSL_CALLBACKS)
    - PR 6412: CVE-2023-3724 (predictable buffer in input keying material)

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Sat, 22 Jul 2023 10:08:27 -0600

wolfssl (4.6.0+p1-0+deb11u1) bullseye; urgency=medium

  * Stable update to address the following vulnerabilities. The updated
    version was released by upstream:
    - PR 3676: CVE-2021-3336
    - PR 3990: CVE-2021-37155 (OCSP Match Issue)
    - PR 4211: CVE-2021-38597
    - PR 4629: CVE-2021-44718
    - PR 4813: CVE-2022-25638
    - PR 4831: CVE-2022-25640
  * Drop 58f9b6ec01f0caf89e9e4d37a8816b310005aaf1.patch, which was previously
    cherry-picked from upstream. 
  * Upstream updated some certificates in the test suite.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 17 Mar 2022 14:47:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: wolfssl
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
-Build-Depends: dh-autoreconf | debhelper (>= 11), lsb-release,
- debhelper (>= 9),
+Build-Depends:
+ debhelper-compat (= 13),
  libpcap0.8-dev,
- openssl, cmake
+ openssl
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#VERSION=$(shell dpkg-parsechangelog |grep ^Version:|cut -d ' ' -f 2)
# following is to avoid a lintian warning, but untested
#VERSION=$(shell echo $DEB_VERSION |cut -d ' ' -f 2)

%:
	dh $@
#	dh $@ --with dkms

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--enable-pkcs11 \
		--enable-tls13 \
		--enable-base64encode \
		--disable-examples \
		--disable-silent-rules

override_dh_installexamples:
	dh_installexamples --exclude .vcproj --exclude .vcxproj --exclude .sln

#override_dh_dkms:
#	dh_dkms -V $(VERSION)

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v?(\d\S+)-stable\.tar\.gz/wolfssl-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/wolfssl-$1\.tar\.gz\.asc/ \
  https://github.com/wolfSSL/wolfssl/releases .*/v(\d\S+)-stable\.tar\.gz

## wolfssl 5.2.0

=== wrapper/python/wolfssl/Makefile ===
# Makefile
#
# Copyright (C) 2006-2021 wolfSSL Inc.
#
# This file is part of wolfSSL.
#
# wolfSSL is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# wolfSSL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335, USA
#/
#/

.PHONY : all clean clean-test clean-build clean-pyc install test check upload

# builds the module
all :
	python ./setup.py build

#builds and installs the module
install : all
	python ./setup.py install

## removes all build, test, coverage and Python artifacts
clean : clean-test clean-build clean-pyc

## removes test and coverage artifacts
clean-test :
	rm -rf .coverage .tox/ htmlcov/

## removes build artifacts
clean-build :
	rm -rf build/ dist/ .eggs/
	find . -name '*.egg-info' -exec rm -rf {} +
	find . -name '*.egg' -exec rm -v {} +

## removes Python file artifacts
clean-pyc :
	find src test -name '__pycache__' -exec rm -rf {} +
	find src test -name '*.pyc' -exec rm -f {} +
	find src test -name '*.pyo' -exec rm -f {} +

# runs unit tests
check : test

test : clean-pyc
	tox

# publishes module at pypi
upload : test
	python ./setup.py sdist upload

=== debian/changelog ===
wolfssl (5.2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * Add Build-Depends-Package back to symbols file.
  * Fix Debian copyright.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 22 Feb 2022 15:32:39 -0800

wolfssl (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump SONAME version to 32.
  * Update symbols file.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 22 Feb 2022 00:10:47 -0800

wolfssl (5.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1004181)
  * Fixes CVE-2022-23408: "non-random IV values in certain situations"

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 10 Feb 2022 10:35:24 -0800

wolfssl (5.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #995820)
  * Fixes CVE-2021-24116. (Closes: #991663)
  * Fixes CVE-2021-38597. (Closes: #992174)
  * Fixes CVE-2021-37155. (Closes: #991443)
  * Adjust packaging to new soname version 30.
  * Update shared object symbols.
  * Drop explicit build options from d/rules for those now enabled by default
    in configure.ac.
  * Drop comments that some files were excluded; now we track upstream in full.
  * Adjust d/copyright to new file paths; update copyright years.
  * Drop cherry-picked commit and patches accepted upstream; rebase remaining
    patches.
  * Update d/watch for Github's new download URLs.
  * Provide an upstream metadata file.
  * Mark one patch as unsuitable for inclusion upstream.
  * Bump Standards-Version to 4.6.0.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 07 Nov 2021 12:12:53 -0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
  debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/lechner/wolfssl.git -b debian/master
 Vcs-Browser: https://salsa.debian.org/lechner/wolfssl
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl24
+Package: libwolfssl32
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: no
 Depends:
- libwolfssl24 (= ${binary:Version}),
+ libwolfssl32 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v?(\d\S+)-stable\.tar\.gz/wolfssl-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/refs\/tags\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/wolfssl-$1\.tar\.gz\.asc/ \
  https://github.com/wolfSSL/wolfssl/releases .*/v(\d\S+)-stable\.tar\.gz

## wolfssl 5.5.4

=== IDE/IAR-MSP430/Makefile ===
PROGRAM = wolfcrypt
WOLFSSL_SRC_DIR = ../..
TI_COMPILER_PATH = /opt/ti/msp430-gcc/bin

WOLFSSL_CFLAGS += -I$(WOLFSSL_SRC_DIR) -I. -DWOLFSSL_USER_SETTINGS

SRC_FILES  = $(wildcard $(WOLFSSL_SRC_DIR)/src/*.c)
SRC_FILES += $(wildcard $(WOLFSSL_SRC_DIR)/wolfcrypt/src/*.c)
SRC_FILES := $(filter-out %bio.c %misc.c %evp.c, $(SRC_FILES))

SRC = main.c \
         $(SRC_FILES)

CFLAGS += $(WOLFSSL_CFLAGS) -O3 -mmcu=msp430f5659 -I/opt/ti/msp430-gcc/include -L/opt/ti/msp430-gcc/include -mlarge -mcode-region=either -fdata-sections -ffunction-sections -Wl,--gc-sections

CC = $(TI_COMPILER_PATH)/msp430-elf-gcc
STRIP = $(TI_COMPILER_PATH)/msp430-elf-strip

$(PROGRAM): $(SRC)
	$(CC) $(CFLAGS) $(SRC) $(LDFLAGS) $(LDLIBS) -o $@
	$(STRIP) $@

clean:
	rm -f $(PROGRAM)

install:
	mspdebug tilib "prog $(PROGRAM)" --allow-fw-update

=== IDE/Espressif/ESP-IDF/examples/wolfssl_client/Makefile ===
#
# This is a project Makefile. It is assumed the directory this Makefile resides in is a
# project subdirectory.
#

PROJECT_NAME := wolfssl_client

CFLAGS += -DWOLFSSL_USER_SETTINGS
# if there isn't the directory, please disable the line below.
EXTRA_COMPONENT_DIRS = $(IDF_PATH)/examples/common_components/protocol_examples_common

include $(IDF_PATH)/make/project.mk

=== debian/changelog ===
wolfssl (5.5.4-2+deb12u2) bookworm; urgency=medium

  * Stable update to address the following vulnerabilities:
    - Fix CVE-2025-7394. (Closes: #1109549)

 -- Bastian Germann <bage@debian.org>  Mon, 11 Aug 2025 10:16:46 +0200

wolfssl (5.5.4-2+deb12u1) bookworm; urgency=medium

  * Stable update to address the following vulnerabilities:
    - Fix CVE-2023-3724. (see #1041699)

 -- Bastian Germann <bage@debian.org>  Mon, 23 Oct 2023 17:46:16 +0000

wolfssl (5.5.4-2) unstable; urgency=medium

  * Clarify in README.Debian and in the package descriptions that wolfssl is
    only for packages that cannot use openssl. (Closes: #1023697)
  * Drop d/salsa-ci.yml. (Closes: #1030634) 

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 06 Feb 2023 06:41:53 -0800

wolfssl (5.5.4-1) unstable; urgency=medium

  [Jacob Barthelmeh]
  * New upstream release.
  * Updated symbols file.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 27 Dec 2022 14:10:00 -0700

wolfssl (5.5.3-3) unstable; urgency=medium

  * Mark all three cpuid_* symbols as "optional" per dpkg-gensymbols(1).
    Thanks to Bastian Germann for the suggestion. (Closes: #1023835)

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 11 Nov 2022 06:40:00 -0800

wolfssl (5.5.3-2) unstable; urgency=medium

  * Source-only upload (for propagation to testing).

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 10 Nov 2022 11:25:10 -0800

wolfssl (5.5.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014867, #1016981, #1021021, #1023574)
  * Fixes CVE-2022-34293, CVE-2022-38152, CVE-2022-38153, CVE-2022-39173,
    CVE-2022-42961
  * Bump SONAME version to 35.
  * Update symbols file.
  * Drop patch turn-off-fastmath-for-amd64.patch; now using sp-math
    everywhere.
  * Ship docs/QUIC.md with the development files.
  * Bump Standards-Version to 4.6.1.
  * Drop Vcs-Git and Vcs-Browser; upstream releases often do not share a
    common history, especially for security releases fixing vulnerabilities.
  * Fix watch file to look at tags instead of releases.
  * Add Jacob Barthelmeh as Maintainer and move self into Uploaders.

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Wed, 9 Nov 2022 16:10:39 -0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: wolfssl
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
+Maintainer: Jacob Barthelmeh <sirkilamole@msn.com>
+Uploaders: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
-Vcs-Git: https://salsa.debian.org/lechner/wolfssl.git -b debian/master
-Vcs-Browser: https://salsa.debian.org/lechner/wolfssl
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl32
+Package: libwolfssl35
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,13 +31,17 @@
  .
  wolfSSL also includes an OpenSSL compatibility interface with the
  most commonly used OpenSSL functions.
+ .
+ wolfSSL is solely provided as an alternative to OpenSSL for
+ packages whose licenses are incompatible to Apache 2.0. For details,
+ please see Bug#1023697.
 
 Package: libwolfssl-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: no
 Depends:
- libwolfssl32 (= ${binary:Version}),
+ libwolfssl35 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
@@ -55,3 +58,8 @@
  most commonly used OpenSSL functions.
  .
  This package contains the development files.
+ .
+ wolfSSL is solely provided as an alternative to OpenSSL for
+ packages whose licenses are incompatible to Apache 2.0. For details,
+ please see Bug#1023697.
+

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,6 @@
 	dh_auto_configure -- \
 		--enable-distro \
 		--enable-pkcs11 \
-		--enable-tls13 \
-		--enable-base64encode \
 		--disable-examples \
 		--disable-silent-rules

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v?(\d\S+)-stable\.tar\.gz/wolfssl-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/refs\/tags\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/wolfssl-$1\.tar\.gz\.asc/ \
  https://github.com/wolfSSL/wolfssl/tags .*/v(\d\S+)-stable\.tar\.gz

## wolfssl 5.6.6

=== IDE/M68K/benchmark/Makefile ===
NAME    = benchmark
PLATFORM = MOD5441X
CSRCS := ../../../wolfcrypt/benchmark/benchmark.c
CXXSRCS := ./main.cpp
XTRALIB += $(NBROOT)/lib/wolfssl.a

INC = -I"./../../../" -I"./../"
EXTRACFLAGS = $(INC) -DWOLFSSL_USER_SETTINGS -DUSE_CERT_BUFFERS_2048 -DBENCH_EMBEDDED  -DNO_MAIN_DRIVER
EXTRACXXFLAGS = $(EXTRACFLAGS)

include $(NBROOT)/make/main.mak

=== IDE/Espressif/ESP-IDF/examples/wolfssl_client/CMakeLists.txt ===
# wolfSSL Espressif Example Project CMakeLists.txt
#   v1.0
#
# The following lines of boilerplate have to be in your project's
# CMakeLists in this exact order for cmake to work correctly
cmake_minimum_required(VERSION 3.16)

# The wolfSSL CMake file should be able to find the source code.
# Otherwise, assign an environment variable or set it here:
#
# set(WOLFSSL_ROOT "~/workspace/wolfssl-other-source")
#
# Optional WOLFSSL_CMAKE_SYSTEM_NAME detection to find
# USE_MY_PRIVATE_CONFIG path for my_private_config.h
#
# Expected path varies:
#
#     WSL:  /mnt/c/workspace
#   Linux:  ~/workspace
# Windows:  C:\workspace
#
if(WIN32)
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_WINDOWS")
    message("Detected Windows")
endif()
if(CMAKE_HOST_UNIX)
    message("Detected UNIX")
endif()
if(APPLE)
    message("Detected APPLE")
endif()
if(CMAKE_HOST_UNIX AND (NOT APPLE) AND EXISTS "/proc/sys/fs/binfmt_misc/WSLInterop")
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_WSL")
    message("Detected WSL")
endif()
if(CMAKE_HOST_UNIX AND (NOT APPLE) AND (NOT WIN32))
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_LINUX")
    message("Detected Linux")
endif()
if(APPLE)
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_APPLE")
    message("Detected Apple")
endif()
# End optional WOLFSSL_CMAKE_SYSTEM_NAME

# This example uses an extra component for common functions such as Wi-Fi and Ethernet connection.
set (PROTOCOL_EXAMPLES_DIR $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)

if (EXISTS "${PROTOCOL_EXAMPLES_DIR}")
    message("Found PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
    set(EXTRA_COMPONENT_DIRS $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DFOUND_PROTOCOL_EXAMPLES_DIR")
else()
    message("NOT FOUND: PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
endif()

# Check that there are not conflicting wolfSSL components
# The ESP Registry Component will be in ./managed_components/wolfssl__wolfssl
# The local component wolfSSL directory will be in ./components/wolfssl
if( EXISTS "${CMAKE_HOME_DIRECTORY}/managed_components/wolfssl__wolfssl" AND EXISTS "${CMAKE_HOME_DIRECTORY}/components/wolfssl" )
    # These exclude statements don't seem to be honored by the $ENV{IDF_PATH}/tools/cmake/project.cmake'
    # add_subdirectory("${CMAKE_HOME_DIRECTORY}/managed_components/wolfssl__wolfssl" EXCLUDE_FROM_ALL)
    # add_subdirectory("${CMAKE_HOME_DIRECTORY}/managed_components/wolfssl__wolfssl/include" EXCLUDE_FROM_ALL)
    # So we'll error out and let the user decide how to proceed:
    message(WARNING "\nFound wolfSSL components in\n"
                    "./managed_components/wolfssl__wolfssl\n"
                    "and\n"
                    "./components/wolfssl\n"
                    "in project directory: \n"
                    "${CMAKE_HOME_DIRECTORY}")
    message(FATAL_ERROR "\nPlease use either the ESP Registry Managed Component or the wolfSSL component directory but not both.\n"
                        "If removing the ./managed_components/wolfssl__wolfssl directory, remember to also remove "
                        "or rename the idf_component.yml file typically found in ./main/")
else()
    message(STATUS "No conflicting wolfSSL components found.")
endif()


# This example uses an extra component for common functions such as Wi-Fi and Ethernet connection.
set (PROTOCOL_EXAMPLES_DIR $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)

if (EXISTS "${PROTOCOL_EXAMPLES_DIR}")
    message("Found PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
    set(EXTRA_COMPONENT_DIRS $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DFOUND_PROTOCOL_EXAMPLES_DIR")
else()
    message("NOT FOUND: PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
endif()

include($ENV{IDF_PATH}/tools/cmake/project.cmake)

project(wolfssl_client)

=== IDE/Espressif/ESP-IDF/examples/wolfssl_server/CMakeLists.txt ===
# wolfSSL Espressif Example Project CMakeLists.txt
#   v1.0
#
# The following lines of boilerplate have to be in your project's
# CMakeLists in this exact order for cmake to work correctly
cmake_minimum_required(VERSION 3.16)

# The wolfSSL CMake file should be able to find the source code.
# Otherwise, assign an environment variable or set it here:
#
# set(WOLFSSL_ROOT "~/workspace/wolfssl-other-source")
#
# Optional WOLFSSL_CMAKE_SYSTEM_NAME detection to find
# USE_MY_PRIVATE_CONFIG path for my_private_config.h
#
# Expected path varies:
#
#     WSL:  /mnt/c/workspace
#   Linux:  ~/workspace
# Windows:  C:\workspace
#
if(WIN32)
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_WINDOWS")
    message("Detected Windows")
endif()
if(CMAKE_HOST_UNIX)
    message("Detected UNIX")
endif()
if(APPLE)
    message("Detected APPLE")
endif()
if(CMAKE_HOST_UNIX AND (NOT APPLE) AND EXISTS "/proc/sys/fs/binfmt_misc/WSLInterop")
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_WSL")
    message("Detected WSL")
endif()
if(CMAKE_HOST_UNIX AND (NOT APPLE) AND (NOT WIN32))
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_LINUX")
    message("Detected Linux")
endif()
if(APPLE)
    # Windows-specific configuration here
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWOLFSSL_CMAKE_SYSTEM_NAME_APPLE")
    message("Detected Apple")
endif()
# End optional WOLFSSL_CMAKE_SYSTEM_NAME

# This example uses an extra component for common functions such as Wi-Fi and Ethernet connection.
set (PROTOCOL_EXAMPLES_DIR $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)

if (EXISTS "${PROTOCOL_EXAMPLES_DIR}")
    message("Found PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
    set(EXTRA_COMPONENT_DIRS $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DFOUND_PROTOCOL_EXAMPLES_DIR")
else()
    message("NOT FOUND: PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
endif()

# Check that there are not conflicting wolfSSL components
# The ESP Registry Component will be in ./managed_components/wolfssl__wolfssl
# The local component wolfSSL directory will be in ./components/wolfssl
if( EXISTS "${CMAKE_HOME_DIRECTORY}/managed_components/wolfssl__wolfssl" AND EXISTS "${CMAKE_HOME_DIRECTORY}/components/wolfssl" )
    # These exclude statements don't seem to be honored by the $ENV{IDF_PATH}/tools/cmake/project.cmake'
    # add_subdirectory("${CMAKE_HOME_DIRECTORY}/managed_components/wolfssl__wolfssl" EXCLUDE_FROM_ALL)
    # add_subdirectory("${CMAKE_HOME_DIRECTORY}/managed_components/wolfssl__wolfssl/include" EXCLUDE_FROM_ALL)
    # So we'll error out and let the user decide how to proceed:
    message(WARNING "\nFound wolfSSL components in\n"
                    "./managed_components/wolfssl__wolfssl\n"
                    "and\n"
                    "./components/wolfssl\n"
                    "in project directory: \n"
                    "${CMAKE_HOME_DIRECTORY}")
    message(FATAL_ERROR "\nPlease use either the ESP Registry Managed Component or the wolfSSL component directory but not both.\n"
                        "If removing the ./managed_components/wolfssl__wolfssl directory, remember to also remove "
                        "or rename the idf_component.yml file typically found in ./main/")
else()
    message(STATUS "No conflicting wolfSSL components found.")
endif()


# This example uses an extra component for common functions such as Wi-Fi and Ethernet connection.
set (PROTOCOL_EXAMPLES_DIR $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)

if (EXISTS "${PROTOCOL_EXAMPLES_DIR}")
    message("Found PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
    set(EXTRA_COMPONENT_DIRS $ENV{IDF_PATH}/examples/common_components/protocol_examples_common)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DFOUND_PROTOCOL_EXAMPLES_DIR")
else()
    message("NOT FOUND: PROTOCOL_EXAMPLES_DIR=${PROTOCOL_EXAMPLES_DIR}")
endif()

include($ENV{IDF_PATH}/tools/cmake/project.cmake)

project(wolfssl_server)

=== debian/changelog ===
wolfssl (5.6.6-1.3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:21 +1100

wolfssl (5.6.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063072

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 02:37:17 +0000

wolfssl (5.6.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Reupload to unstable.

 -- Bastian Germann <bage@debian.org>  Wed, 27 Dec 2023 23:17:32 +0100

wolfssl (5.6.6-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Enable old TLS because sip-tester needs 1.1.

 -- Bastian Germann <bage@debian.org>  Sat, 23 Dec 2023 00:40:35 +0000

wolfssl (5.6.6-1) experimental; urgency=medium

  * New upstream release.
  * Fix for CVE-2023-6937.
  * Fix for CVE-2023-6936.
  * Fix for CVE-2023-6935.
  * Drop Felix from Uploaders. (Closes: #1057340)

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Thu, 21 Dec 2023 10:50:41 -0700

wolfssl (5.6.4-2) unstable; urgency=medium

  * Move to unstable.

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Sat, 11 Nov 2023 00:03:50 +0100

wolfssl (5.6.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop upstream patch.

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Thu, 02 Nov 2023 15:30:14 -0600

wolfssl (5.5.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2023-3724. (see #1041699)

 -- Bastian Germann <bage@debian.org>  Mon, 23 Oct 2023 17:46:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: wolfssl
 Priority: optional
-Maintainer: Jacob Barthelmeh <sirkilamole@msn.com>
-Uploaders: Felix Lechner <felix.lechner@lease-up.com>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jacob Barthelmeh <sirkilamole@msn.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
@@ -11,7 +11,10 @@
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl35
+Package: libwolfssl42t64
+Provides: ${t64:Provides}
+Replaces: libwolfssl42
+Breaks: libwolfssl42 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -41,7 +44,7 @@
 Architecture: any
 Multi-Arch: no
 Depends:
- libwolfssl35 (= ${binary:Version}),
+ libwolfssl42t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
@@ -49,7 +52,7 @@
  known as CyaSSL.
  .
  It is an open source, dual licensed implementation of SSL/TLS
- (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
+ (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0, 1.2 and 1.3) written in the C
  language.  wolfSSL includes both a client and server implementation,
  progressive cipher support, key and certificate generation, OCSP
  and CRL, access to the underlying cryptography modules, and more.
@@ -62,4 +65,3 @@
  wolfSSL is solely provided as an alternative to OpenSSL for
  packages whose licenses are incompatible to Apache 2.0. For details,
  please see Bug#1023697.
-

## wolfssl 5.7.0

=== debian/changelog ===
wolfssl (5.7.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove accidentally inserted symbol characters.

 -- Bastian Germann <bage@debian.org>  Fri, 03 May 2024 09:13:13 +0200

wolfssl (5.7.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Mask cpuid symbols for amd64 only.

 -- Bastian Germann <bage@debian.org>  Thu, 02 May 2024 22:24:20 +0000

wolfssl (5.7.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Bastian Germann <bage@debian.org>  Mon, 08 Apr 2024 18:05:09 +0200
